org.icefaces.ace.component.textareaentry

## Class TextAreaEntry

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - javax.faces.component.UIInput
        - - javax.faces.component.html.HtmlInputTextarea
          - - org.icefaces.ace.component.textareaentry.TextAreaEntryBase
            - - org.icefaces.ace.component.textareaentry.TextAreaEntry

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.EditableValueHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, IceClientBehaviorHolder, ITextAreaEntry, org.icefaces.component.Focusable

      public class TextAreaEntry
      extends TextAreaEntryBase
      implements org.icefaces.component.Focusable

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.icefaces.ace.component.textareaentry.TextAreaEntryBase

      `TextAreaEntryBase.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PLAIN_INPUT_CLASS`
    `static java.lang.String` | `THEME_INPUT_CLASS`

    - ### Fields inherited from class org.icefaces.ace.component.textareaentry.TextAreaEntryBase

      `COMPONENT_TYPE, RENDERER_TYPE`

    - ### Fields inherited from class javax.faces.component.UIInput

      `COMPONENT_FAMILY, CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID, VALIDATE_EMPTY_FIELDS_PARAM_NAME`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextAreaEntry()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFocusedElementId()`
    `void` | `queueEvent(javax.faces.event.FacesEvent event)`

    - ### Methods inherited from class org.icefaces.ace.component.textareaentry.TextAreaEntryBase

      `addClientBehavior, getAccesskey, getDefaultEventName, getDefaultExecute, getDefaultRender, getEventNames, getFamily, getIndicatorPosition, getLabelPosition, getListenerArgument, getMaxlength, getOptionalIndicator, getRequiredIndicator, getTabindex, getWidgetVar, isDisabled, isPropertySet, isReadonly, isResizable, setAccesskey, setDisabled, setIndicatorPosition, setLabelPosition, setMaxlength, setOptionalIndicator, setReadonly, setRequiredIndicator, setResizable, setTabindex, setValueExpression, setWidgetVar`

    - ### Methods inherited from class javax.faces.component.html.HtmlInputTextarea

      `getCols, getDir, getLabel, getLang, getOnblur, getOnchange, getOnclick, getOndblclick, getOnfocus, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getOnselect, getRows, getStyle, getStyleClass, getTitle, setCols, setDir, setLabel, setLang, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setRows, setStyle, setStyleClass, setTitle`

    - ### Methods inherited from class javax.faces.component.UIInput

      `addValidator, addValueChangeListener, clearInitialState, compareValues, decode, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValue, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isLocalValueSet, isRequired, isValid, markInitialState, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate, validateValue`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `getConverter, getLocalValue, setConverter`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `getClientBehaviors`

    - ### Methods inherited from interface javax.faces.component.ValueHolder

      `getConverter, getLocalValue, setConverter`

- - ### Field Detail

    - #### THEME_INPUT_CLASS

          public static final java.lang.String THEME_INPUT_CLASS

      See Also:
        Constant Field Values

    - #### PLAIN_INPUT_CLASS

          public static final java.lang.String PLAIN_INPUT_CLASS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TextAreaEntry

          public TextAreaEntry()

  - ### Method Detail

    - #### getFocusedElementId

          public java.lang.String getFocusedElementId()

      Specified by:
        `getFocusedElementId` in interface `org.icefaces.component.Focusable`

    - #### queueEvent

          public void queueEvent(javax.faces.event.FacesEvent event)

      Overrides:
        `queueEvent` in class `javax.faces.component.UIComponentBase`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.